import httpClient from '@/common/http-client';
import calcListExcelHeader from './mock/calcExcelHeader.json';
// 공통 코드.
const getCommCode = (params) => {
    return httpClient.post('/api/v1/bo/comm/getCode', params, { withCredentials: false });
}

// 엑셀다운로드 목록 조회
const calcListExcel = (params) => {
    return httpClient.post('/api/v1/bo/calculate/calcListExcel', params);
}


const getExcelHeader = category => {
    // 엑셀에 출력할 Header 정보를 Mockup 데이터로 관리한다.
    return new Promise(function(resolve, reject) {
        let header = [];
        switch (category) {
            case 'CALC':
                header = calcListExcelHeader.header;
                break;
            default:
                header = '';
                break;
        }
        resolve(header);
    });
};

export default {
    getCommCode,
    getExcelHeader,
    calcListExcel,
}
